HomeSort by relevance Sort by last modified time
    Searched refs:SSH (Results 26 - 50 of 68) sorted by null

12 3

  /external/openssh/regress/
forcecommand.sh 16 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
31 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
42 ${SSH} -$p -F $OBJ/ssh_proxy somehost false \ ||
agent.sh 8 fail "ssh-add -l did not fail with exit code 2"
15 fail "could not start ssh-agent: exit code $r"
19 fail "ssh-add -l did not fail with exit code 1"
27 fail "ssh-keygen for $t-agent failed"
33 fail "ssh-add did succeed exit code 0"
39 fail "ssh-add -l failed: exit code $r"
45 fail "ssh-add -L failed: exit code $r"
50 ${SSH} -$p -F $OBJ/ssh_proxy somehost exit 5$p
53 fail "ssh connect with protocol $p failed (exit code $r)"
59 ${SSH} -A -$p -F $OBJ/ssh_proxy somehost ${SSHADD} -l > /dev/null 2>&
    [all...]
brokenkeys.sh 13 echo "ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAIEABTM= bad key" > $KEYS
17 ${SSH} -2 -F $OBJ/ssh_config somehost true
19 fail "ssh connect with protocol $p failed"
host-expand.sh 16 ${SSH} -F $OBJ/ssh_proxy -$p somehost true >$OBJ/actual
integrity.sh 10 macs=`${SSH} -Q mac`
13 macs="$macs `${SSH} -Q cipher-auth`"
40 if ${SSH} -Q cipher-auth | grep "^${m}\$" >/dev/null 2>&1 ; then
49 ${SSH} $macopt -2F $OBJ/ssh_proxy -o "$pxy" \
53 fail "ssh -m $m succeeds with bit-flip at $off"
keyscan.sh 11 KEYTYPES=`${SSH} -Q key-plain`
22 fail "ssh-keyscan -t $t failed with: $r"
stderr-after-eof.sh 13 ${SSH} -2 -F $OBJ/ssh_proxy otherhost \
18 fail "ssh failed with exit code $r"
principals-command.sh 19 fatal "ssh-keygen of user_ca_key failed"
21 fatal "ssh-keygen of cert_user_key failed"
81 ${SSH} -2i $OBJ/cert_user_key \
84 fail "ssh cert connect succeeded unexpectedly"
90 ${SSH} -2i $OBJ/cert_user_key \
93 fail "ssh cert connect succeeded unexpectedly"
99 ${SSH} -2i $OBJ/cert_user_key \
102 fail "ssh cert connect failed"
108 ${SSH} -2i $OBJ/cert_user_key \
111 fail "ssh cert connect succeeded unexpectedly
    [all...]
transfer.sh 9 ${SSH} -n -q -$p -F $OBJ/ssh_proxy somehost cat ${DATA} > ${COPY}
11 fail "ssh cat $DATA failed"
19 ${SSH} -q -$p -F $OBJ/ssh_proxy somehost "cat > ${COPY}"
21 fail "ssh cat $DATA failed"
cert-file.sh 4 tid="ssh with certificates"
11 fatal "ssh-keygen failed"
13 fatal "ssh-keygen failed"
17 fatal "ssh-keygen failed"
19 fatal "ssh-keygen failed"
21 fatal "ssh-keygen failed"
23 fatal "ssh-keygen failed"
25 fatal "ssh-keygen failed"
60 ${SSH} -F $OBJ/no_identity_config -oIdentitiesOnly=yes \
62 [ $? -ne 5$p ] && fail "ssh failed
    [all...]
rekey.sh 12 # Arguments will be passed to ssh.
24 ${SSH} <${DATA} $_opts -v -F $OBJ/ssh_proxy somehost "cat > ${COPY}"
26 fail "ssh failed ($@)"
40 for i in `${SSH} -Q kex`; do
43 for i in `${SSH} -Q cipher`; do
46 for i in `${SSH} -Q mac`; do
56 if ${SSH} -Q cipher-auth | grep '^.*$' >/dev/null 2>&1 ; then
57 for c in `${SSH} -Q cipher-auth`; do
58 for kex in `${SSH} -Q kex`; do
73 ${SSH} < ${DATA} -oCompression=no -oRekeyLimit="default $s" -F
    [all...]
cfgmatch.sh 16 ${SSH} -q -$p $fwd "$@" somehost \
27 fatal "timeout waiting for background ssh"
62 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \
71 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
85 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
95 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \
109 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true && \
124 ${SSH} -q -$p -p $fwdport -F $OBJ/ssh_config somehost true || \
cert-userkey.sh 10 PLAIN_TYPES=`$SSH -Q key-plain | sed 's/^ssh-dss/ssh-dsa/;s/^ssh-//'`
20 *) n=$(echo $1 | sed 's/^dsa/ssh-dss/;s/^rsa/ssh-rsa/;s/^ed/ssh-ed/') ;;
22 echo "$n*,ssh-rsa*,ssh-ed25519*"
27 fail "ssh-keygen of user_ca_key failed
    [all...]
banner.sh 12 ( ${SSH} -2 -F $OBJ/ssh_proxy otherhost true 2>$OBJ/banner.out && \
33 ( ${SSH} -2 -F $OBJ/ssh_proxy otherhost true 2>$OBJ/banner.out && \
40 ( ${SSH} -q -2 -F $OBJ/ssh_proxy otherhost true 2>$OBJ/banner.out && \
hostkey-agent.sh 11 [ $r -ne 0 ] && fatal "could not start ssh-agent: exit code $r"
17 for k in `${SSH} -Q key-plain` ; do
18 ${SSHKEYGEN} -qt $k -f $OBJ/agent-key.$k -N '' || fatal "ssh-keygen $k"
34 for k in `${SSH} -Q key-plain` ; do
41 SSH_CONNECTION=`${SSH} $opts host 'echo $SSH_CONNECTION'`
dynamic-forward.sh 26 ${SSH} -$p -F $OBJ/ssh_config -f -D $FWDPORT -q \
41 trace "testing ssh protocol $p socks version $s host $h"
42 ${SSH} -F $OBJ/ssh_config \
keygen-change.sh 9 KEYTYPES=`${SSH} -Q key-plain`
22 fail "ssh-keygen -p failed for $t-key"
25 fail "ssh-keygen for $t-key failed"
multipubkey.sh 14 fatal "ssh-keygen failed"
18 fatal "ssh-keygen failed"
20 fatal "ssh-keygen failed"
47 ${SSH} $opts proxy true && fail "ssh succeeded with key"
52 ${SSH} $opts proxy true && fail "ssh succeeded with key+cert"
58 ${SSH} $opts proxy true || fail "ssh failed with multiple keys"
64 ${SSH} $opts proxy true || fail "ssh failed with key/cert
    [all...]
sftp-chroot.sh 26 ${SFTP} -S "$SSH" -F $OBJ/ssh_config host:/${FILENAME} $COPY \
allow-deny-users.sh 21 ${SSH} -F $OBJ/ssh_config "$me@somehost" true
keys-command.sh 58 ${SSH} -F $OBJ/ssh_proxy somehost true
74 ${SSH} -F $OBJ/ssh_proxy somehost true
test-exec.sh 69 SSH=ssh
71 SSHAGENT=ssh-agent
72 SSHADD=ssh-add
73 SSHKEYGEN=ssh-keygen
74 SSHKEYSCAN=ssh-keyscan
85 SSH="${TEST_SSH_SSH}"
134 #SSH_PROTOCOLS=`$SSH -Q protocol-version`
151 SSH_BIN=${SSH}
182 SSH="$VG --log-file=${VG_LOG}ssh.%p $SSH
    [all...]
hostkey-rotate.sh 7 HOSTKEY_TYPES="ecdsa-sha2-nistp256 ssh-ed25519 ssh-rsa ssh-dss"
18 for k in `${SSH} -Q key-plain` ; do
19 ${SSHKEYGEN} -qt $k -f $OBJ/hkr.$k -N '' || fatal "ssh-keygen $k"
27 # All ssh should succeed in this test
28 ${SSH} -F $OBJ/ssh_proxy "$@" x true || fail "ssh $@ failed"
52 dossh -oHostKeyAlgorithms=ssh-ed25519 -oStrictHostKeyChecking=no
55 check_key_present ssh-ed25519 || fail "unstrict didn't learn key
    [all...]
cert-hostkey.sh 11 for i in `$SSH -Q key`; do
49 fail "ssh-keygen of host_ca_key failed"
51 fail "ssh-keygen of host_ca_key failed"
62 PLAIN_TYPES=`$SSH -Q key-plain | sed 's/^ssh-dss/ssh-dsa/g;s/^ssh-//'`
82 fatal "ssh-keygen of cert_host_key_${ktype} failed"
107 ${SSH} -2 -oUserKnownHostsFile=$OBJ/known_hosts-cert \
113 fail "ssh cert connect $_ident failed
    [all...]
forward-control.sh 41 ${SSH} -oProtocol=$_proto -F $OBJ/ssh_proxy \
48 fatal "check_lfwd ssh fail: $_message"
49 ${SSH} -F $OBJ/ssh_config -p $LFWD_PORT \
71 ${SSH} -oProtocol=$_proto -F $OBJ/ssh_proxy \
80 ${SSH} -F $OBJ/ssh_config -p $RFWD_PORT \

Completed in 1359 milliseconds

12 3